> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hotglue.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get linked targets

> Returns the targets linked by a user_id in this env_id



## OpenAPI

````yaml get /v2/{env_id}/{flow_id}/{tenant}/linkedTargets
openapi: 3.1.0
info:
  title: hotglue API
  version: '1.2'
servers:
  - url: https://api.hotglue.com
security:
  - sec0: []
paths:
  /v2/{env_id}/{flow_id}/{tenant}/linkedTargets:
    get:
      summary: Get linked targets
      description: Returns the targets linked by a user_id in this env_id
      operationId: linked-targets-get-v2
      parameters:
        - name: env_id
          in: path
          description: ID of environment
          schema:
            type: string
          required: true
        - name: flow_id
          in: path
          description: ID of flow
          schema:
            type: string
          required: true
        - name: tenant
          in: path
          description: ID of tenant
          schema:
            type: string
          required: true
        - name: target_name
          in: query
          description: Name of the specific target to check
          schema:
            type: string
        - name: token
          in: query
          description: JWT token for authentication
          schema:
            type: string
        - name: login_state
          in: query
          description: Request the login state for the linked target
          schema:
            type: boolean
        - name: config
          in: query
          description: Request the underlying config for the linked target
          schema:
            type: boolean
        - name: catalog
          in: query
          description: >-
            Request the catalog of available fields/data to be returned in the
            payload
          schema:
            type: boolean
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: []
              schema:
                type: array
                items:
                  type: object
                  properties: {}
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: {}
              schema:
                type: object
                properties: {}
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: x-api-key

````